Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 179556 - Incorrect [in some cases] assertion - Should not be called from UI thread
Incorrect [in some cases] assertion - Should not be called from UI thread
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: execution
6.x
PC All
: P2 (vote)
: 6.x
Assigned To: Andrew Krasny
issues@cnd
68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-15 10:40 UTC by Andrew Krasny
Modified: 2010-01-26 07:48 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Krasny 2010-01-15 10:40:04 UTC
Originally this assertion was unconditionally aroused on every getHostInfo() invocation from the EDT. Later this was fixed but, unfortunately, after release68.

It would be very desirable to have this fix in release68_fixes.

The changeset is http://hg.netbeans.org/cnd-main/rev/5788392884c0
Comment 1 Andrew Krasny 2010-01-15 10:41:33 UTC
The fix is in the trunk since Nov 11...
Comment 2 Andrew Krasny 2010-01-15 11:22:56 UTC
Just to make it more clear why it is desired to have this fix:

If user switches assertions ON while running nb, (s)he will start to get this assertion... While working on a standalone dlight tool (that is based on 6.8.1 codebase) assertions are switched on (because they are usually useful while development)... And this assertion appears in situations where it should not..

So, for users of release version of NB (with no assertions) there will be no any difference... But it is very annoying while development..
Comment 3 Alexander Pepin 2010-01-18 07:29:04 UTC
verified in trunk build 201001150201
Comment 4 pgebauer 2010-01-19 07:58:57 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/3cfcf40b6091
Comment 5 Alexander Pepin 2010-01-26 07:48:49 UTC
can not be verified in NB


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo